FreeMat

- Main Page
- Related Pages

vtkDSPFilterGroup

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkDSPFilterGroup is used by vtkExodusReader, vtkExodusIIReader and vtkPExodusReader to do temporal smoothing of data

To create an instance of class vtkDSPFilterGroup, simply invoke its constructor as follows

      obj = vtkDSPFilterGroup

# Methods

The class vtkDSPFilterGroup has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDSPFilterGroup class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDSPFilterGroup = obj.NewInstance ()`
- `vtkDSPFilterGroup = obj.SafeDownCast (vtkObject o)`
- `obj.AddFilter (vtkDSPFilterDefinition filter)`
- `obj.RemoveFilter (string a_outputVariableName)`
- `bool = obj.IsThisInputVariableInstanceNeeded (string a_name, int a_timestep, int a_outputTimestep)`
- `bool = obj.IsThisInputVariableInstanceCached (string a_name, int a_timestep)`
- `obj.AddInputVariableInstance (string a_name, int a_timestep, vtkFloatArray a_data)`
- `vtkFloatArray = obj.GetCachedInput (int a_whichFilter, int a_whichTimestep)`
- `vtkFloatArray = obj.GetCachedOutput (int a_whichFilter, int a_whichTimestep)`
- `string = obj.GetInputVariableName (int a_whichFilter)`
- `int = obj.GetNumFilters ()`
- `obj.Copy (vtkDSPFilterGroup other)`
- `vtkDSPFilterDefinition = obj.GetFilter (int a_whichFilter)`